Andreas Krennmair:
[apps/madmutt.git] / configure
index 0b9c22e..cf11695 100755 (executable)
--- a/configure
+++ b/configure
@@ -308,7 +308,7 @@ ac_includes_default="\
 # include <unistd.h>
 #endif"
 
-ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO AMTAR install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM AWK SET_MAKE am__leading_dot build build_cpu build_vendor build_os host host_cpu host_vendor host_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CPP EGREP U ANSI2KNR RANLIB ac_ct_RANLIB AR ac_ct_AR DBX GDB SDB DEBUGGER SENDMAIL OPS PGPAUX_TARGET SMIMEAUX_TARGET SUBVERSION ISPELL LIBOBJS DOTLOCK_TARGET docdir DOTLOCK_GROUP DOTLOCK_PERMISSION BUILD_IMAP_TRUE BUILD_IMAP_FALSE KRB5CFGPATH USE_GSS_TRUE USE_GSS_FALSE USE_SSL_TRUE USE_SSL_FALSE USE_SASL_TRUE USE_SASL_FALSE MUTTLIBS MUTT_LIB_OBJECTS LIBIMAP LIBIMAPDEPS ALLOCA GLIBC21 LIBICONV USE_NLS MSGFMT GMSGFMT XGETTEXT INTLBISON BUILD_INCLUDED_LIBINTL USE_INCLUDED_LIBINTL CATALOGS CATOBJEXT GMOFILES INTLLIBS INTLOBJS POFILES POSUB DATADIRNAME INSTOBJEXT GENCAT MKINSTALLDIRS INTL_LIBTOOL_SUFFIX_PREFIX mutt_libesmtp_config_path LTLIBOBJS'
+ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO AMTAR install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM AWK SET_MAKE am__leading_dot build build_cpu build_vendor build_os host host_cpu host_vendor host_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CPP EGREP U ANSI2KNR RANLIB ac_ct_RANLIB AR ac_ct_AR DBX GDB SDB DEBUGGER SENDMAIL OPS PGPAUX_TARGET SMIMEAUX_TARGET SUBVERSION ISPELL LIBOBJS DOTLOCK_TARGET docdir DOTLOCK_GROUP DOTLOCK_PERMISSION BUILD_IMAP_TRUE BUILD_IMAP_FALSE KRB5CFGPATH USE_GSS_TRUE USE_GSS_FALSE USE_SSL_TRUE USE_SSL_FALSE USE_GNUTLS_TRUE USE_GNUTLS_FALSE USE_SASL_TRUE USE_SASL_FALSE MUTTLIBS MUTT_LIB_OBJECTS LIBIMAP LIBIMAPDEPS ALLOCA GLIBC21 LIBICONV USE_NLS MSGFMT GMSGFMT XGETTEXT INTLBISON BUILD_INCLUDED_LIBINTL USE_INCLUDED_LIBINTL CATALOGS CATOBJEXT GMOFILES INTLLIBS INTLOBJS POFILES POSUB DATADIRNAME INSTOBJEXT GENCAT MKINSTALLDIRS INTL_LIBTOOL_SUFFIX_PREFIX mutt_libesmtp_config_path LTLIBOBJS'
 ac_subst_files=''
 
 # Initialize some variables set by options.
@@ -859,12 +859,15 @@ Optional Features:
   --enable-debug             Enable debugging support
   --enable-flock             Use flock() to lock files
   --disable-fcntl            Do NOT use fcntl() to lock files
+  --disable-inodesort        Do NOT read files in maildir folders sorted by inode.
   --disable-warnings         Turn off compiler warnings (not recommended)
   --enable-nfs-fix           Work around an NFS with broken attributes caching
   --enable-buffy-size        Use file size attribute instead of access time
   --enable-mailtool          Enable Sun mailtool attachments support
+  --enable-compressed        Enable compressed folders support
   --enable-locales-fix       The result of isprint() is unreliable
   --enable-exact-address     Enable regeneration of email addresses
+  --enable-hcache            Enable header caching
   --disable-iconv            Disable iconv support
   --disable-nls              Do not use Native Language Support
 
@@ -879,13 +882,16 @@ Optional Packages:
   --with-mailpath=DIR        Directory where spool mailboxes are located
   --with-docdir=PATH         Specify where to put the documentation
   --with-domain=DOMAIN       Specify your DNS domain name
-    --with-gss=PFX         Compile in GSSAPI authentication for IMAP
+  --with-gss=PFX           Compile in GSSAPI authentication for IMAP
   --with-ssl=PFX           Compile in SSL support for POP/IMAP
+  --with-gnutls=PFX        Compile in GNU TLS support for POP/IMAP
   --with-nss=PFX           Compile in SSL support for POP/IMAP via NSS
   --with-sasl=PFX          Use Cyrus SASL library for POP/IMAP authentication
   --with-sasl2=PFX         Use Cyrus SASL library version 2 for POP/IMAP authentication
-  --with-idn=PFX               Use GNU libidn for domain names
+  --with-idn=PFX           Use GNU libidn for domain names
   --with-exec-shell=SHELL    Specify alternate shell (ONLY if /bin/sh is broken)
+  --without-gdbm             Get rid of gdbm even if it is available
+  --with-bdb=DIR           Use BerkeleyDB4 if gdbm is not available
   --with-libiconv-prefix=DIR Search for libiconv in DIR/include and DIR/lib
   --with-included-gettext    Use the GNU gettext library included here
   --without-wc-funcs         Do not use the system's wchar_t functions
@@ -1584,7 +1590,7 @@ fi
 
 
 # Define the identity of the package.
- PACKAGE=mutt
+ PACKAGE=muttng
  VERSION=$mutt_cv_version
 
 
@@ -4509,7 +4515,7 @@ cat >>confdefs.h <<\_ACEOF
 _ACEOF
 
                 PGPAUX_TARGET="pgpring pgpewrap"
-                MUTT_LIB_OBJECTS="$MUTT_LIB_OBJECTS pgp.o pgpinvoke.o pgpkey.o pgplib.o gnupgparse.o pgpmicalg.o pgppacket.o"
+                MUTT_LIB_OBJECTS="$MUTT_LIB_OBJECTS pgp.o pgpinvoke.o pgpkey.o pgplib.o gnupgparse.o pgpmicalg.o pgppacket.o crypt-mod-pgp-classic.o"
         fi
 
        # Check whether --enable-smime or --disable-smime was given.
@@ -4527,7 +4533,7 @@ cat >>confdefs.h <<\_ACEOF
 #define CRYPT_BACKEND_CLASSIC_SMIME 1
 _ACEOF
 
-               MUTT_LIB_OBJECTS="$MUTT_LIB_OBJECTS smime.o "
+               MUTT_LIB_OBJECTS="$MUTT_LIB_OBJECTS smime.o crypt-mod-smime-classic.o"
                SMIMEAUX_TARGET="smime_keys"
        fi
 
@@ -6691,7 +6697,8 @@ done
 
 
 
-for ac_func in setrlimit getsid
+
+for ac_func in setrlimit getsid isctype
 do
 as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
 echo "$as_me:$LINENO: checking for $ac_func" >&5
@@ -9537,7 +9544,7 @@ cat >>confdefs.h <<\_ACEOF
 #define DL_STANDALONE 1
 _ACEOF
 
-        DOTLOCK_TARGET="mutt_dotlock"
+        DOTLOCK_TARGET="muttng_dotlock"
 else
         MUTT_LIB_OBJECTS="$MUTT_LIB_OBJECTS dotlock.o"
 fi
@@ -9553,7 +9560,7 @@ if test "${with_docdir+set}" = set; then
   withval="$with_docdir"
   mutt_cv_docdir=$withval
 else
-  mutt_cv_docdir="$mutt_cv_prefix/doc/mutt"
+  mutt_cv_docdir="$mutt_cv_prefix/doc/muttng"
 fi;
 echo "$as_me:$LINENO: result: $mutt_cv_docdir" >&5
 echo "${ECHO_T}$mutt_cv_docdir" >&6
@@ -9598,6 +9605,7 @@ _ACEOF
 
                 MUTT_LIB_OBJECTS="$MUTT_LIB_OBJECTS pop.o pop_lib.o pop_auth.o"
                 need_socket="yes"
+               need_pop="yes"
                 need_md5="yes"
         fi
 
 
 
 
+# Check whether --with-gnutls or --without-gnutls was given.
+if test "${with_gnutls+set}" = set; then
+  withval="$with_gnutls"
+     if test "$need_ssl" = "yes"
+    then
+      { { echo "$as_me:$LINENO: error: In order to compile in GNU TLS support, you must first disable SSL support" >&5
+echo "$as_me: error: In order to compile in GNU TLS support, you must first disable SSL support" >&2;}
+   { (exit 1); exit 1; }; }
+    fi
+    if test "$with_gnutls" != "no"
+    then
+      if test "$need_socket" != "yes"; then
+        { { echo "$as_me:$LINENO: error: GNU TLS support is only useful with POP or IMAP support" >&5
+echo "$as_me: error: GNU TLS support is only useful with POP or IMAP support" >&2;}
+   { (exit 1); exit 1; }; }
+      fi
+      if test "$with_gnutls" != "yes"
+      then
+        LDFLAGS="$LDFLAGS -L$withval/lib"
+        CPPFLAGS="$CPPFLAGS -I$withval/include"
+      fi
+#saved_LIBS="$LIBS"
+
+
+echo "$as_me:$LINENO: checking for gnutls_init in -lgnutls" >&5
+echo $ECHO_N "checking for gnutls_init in -lgnutls... $ECHO_C" >&6
+if test "${ac_cv_lib_gnutls_gnutls_init+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  ac_check_lib_save_LIBS=$LIBS
+LIBS="-lgnutls  $LIBS"
+cat >conftest.$ac_ext <<_ACEOF
+#line $LINENO "configure"
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+
+/* Override any gcc2 internal prototype to avoid an error.  */
+#ifdef __cplusplus
+extern "C"
+#endif
+/* We use char because int might match the return type of a gcc2
+   builtin and then its argument prototype would still apply.  */
+char gnutls_init ();
+int
+main ()
+{
+gnutls_init ();
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+  (eval $ac_link) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+         { ac_try='test -s conftest$ac_exeext'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  ac_cv_lib_gnutls_gnutls_init=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ac_cv_lib_gnutls_gnutls_init=no
+fi
+rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
+LIBS=$ac_check_lib_save_LIBS
+fi
+echo "$as_me:$LINENO: result: $ac_cv_lib_gnutls_gnutls_init" >&5
+echo "${ECHO_T}$ac_cv_lib_gnutls_gnutls_init" >&6
+if test $ac_cv_lib_gnutls_gnutls_init = yes; then
+  cat >>confdefs.h <<_ACEOF
+#define HAVE_LIBGNUTLS 1
+_ACEOF
+
+  LIBS="-lgnutls $LIBS"
+
+else
+  { { echo "$as_me:$LINENO: error: Unable to find GNU TLS library" >&5
+echo "$as_me: error: Unable to find GNU TLS library" >&2;}
+   { (exit 1); exit 1; }; }
+fi
+
+
+
+cat >>confdefs.h <<\_ACEOF
+#define USE_GNUTLS 1
+_ACEOF
+
+#LIBS="$saved_LIBS"
+#MUTTLIBS="$MUTTLIBS -lgnutls"
+      MUTT_LIB_OBJECTS="$MUTT_LIB_OBJECTS mutt_ssl_gnutls.o"
+      need_gnutls=yes
+    fi
+
+fi;
+
+
+if test x$need_gnutls = xyes; then
+  USE_GNUTLS_TRUE=
+  USE_GNUTLS_FALSE='#'
+else
+  USE_GNUTLS_TRUE='#'
+  USE_GNUTLS_FALSE=
+fi
+
+
+
 # Check whether --with-nss or --without-nss was given.
 if test "${with_nss+set}" = set; then
   withval="$with_nss"
@@ -10730,7 +10854,7 @@ fi;
 if test "${with_sasl+set}" = set; then
   withval="$with_sasl"
 
-        if test "$need_socket" != "yes"
+        if test "$with_sasl" != "no" -a "$need_imap" != "yes" -a "$need_pop" != "yes"
         then
           { { echo "$as_me:$LINENO: error: SASL support is only useful with POP or IMAP support" >&5
 echo "$as_me: error: SASL support is only useful with POP or IMAP support" >&2;}
 if test "${with_sasl2+set}" = set; then
   withval="$with_sasl2"
 
-        if test "$need_socket" != "yes"
+        if test "$with_sasl2" != "no" -a "$need_imap" != "yes" -a "$need_pop" != "yes"
         then
-          { { echo "$as_me:$LINENO: error: SASL support is only useful with POP or IMAP support" >&5
-echo "$as_me: error: SASL support is only useful with POP or IMAP support" >&2;}
+          { { echo "$as_me:$LINENO: error: SASL2 support is only useful with POP or IMAP support" >&5
+echo "$as_me: error: SASL2 support is only useful with POP or IMAP support" >&2;}
    { (exit 1); exit 1; }; }
         fi
 
@@ -10924,8 +11048,8 @@ _ACEOF
   LIBS="-lsasl2 $LIBS"
 
 else
-  { { echo "$as_me:$LINENO: error: could not find libsasl" >&5
-echo "$as_me: error: could not find libsasl" >&2;}
+  { { echo "$as_me:$LINENO: error: could not find libsasl2" >&5
+echo "$as_me: error: could not find libsasl2" >&2;}
    { (exit 1); exit 1; }; }
 fi
 
@@ -11295,11 +11419,6 @@ done
 
 fi
 
-if test "$need_md5" = "yes"
-then
-        MUTT_LIB_OBJECTS="$MUTT_LIB_OBJECTS md5c.o"
-fi
-
 
 # Check whether --enable-debug or --disable-debug was given.
 if test "${enable_debug+set}" = set; then
@@ -11341,6 +11460,21 @@ _ACEOF
 
 fi
 
+mutt_cv_inodesort=yes
+# Check whether --enable-inodesort or --disable-inodesort was given.
+if test "${enable_inodesort+set}" = set; then
+  enableval="$enable_inodesort"
+  if test $enableval = no ; then mutt_cv_inodesort=no; fi
+fi;
+
+if test $mutt_cv_inodesort = yes; then
+
+cat >>confdefs.h <<\_ACEOF
+#define USE_INODESORT 1
+_ACEOF
+
+fi
+
 mutt_cv_warnings=yes
 # Check whether --enable-warnings or --disable-warnings was given.
 if test "${enable_warnings+set}" = set; then
@@ -11390,6 +11524,17 @@ _ACEOF
         fi
 fi;
 
+# Check whether --enable-compressed or --disable-compressed was given.
+if test "${enable_compressed+set}" = set; then
+  enableval="$enable_compressed"
+  if test x$enableval = xyes; then
+                cat >>confdefs.h <<\_ACEOF
+#define USE_COMPRESSED 1
+_ACEOF
+
+        fi
+fi;
+
 # Check whether --enable-locales-fix or --disable-locales-fix was given.
 if test "${enable_locales_fix+set}" = set; then
   enableval="$enable_locales_fix"
@@ -11438,6 +11583,192 @@ _ACEOF
         fi
 fi;
 
+# Check whether --enable-hcache or --disable-hcache was given.
+if test "${enable_hcache+set}" = set; then
+  enableval="$enable_hcache"
+  if test x$enableval = xyes; then
+
+cat >>confdefs.h <<\_ACEOF
+#define USE_HCACHE 1
+_ACEOF
+
+
+    OLDCPPFLAGS="$CPPFLAGS"
+    OLDLIBS="$LIBS"
+
+    need_md5="yes"
+    ac_prefer_gdbm=yes
+
+# Check whether --with-gdbm or --without-gdbm was given.
+if test "${with_gdbm+set}" = set; then
+  withval="$with_gdbm"
+  ac_prefer_gdbm=$withval
+fi;
+    if test x$ac_prefer_gdbm != xno; then
+        CPPFLAGS="$OLDCPPFLAGS"
+        LIBS="$OLDLIBS -lgdbm";
+        echo "$as_me:$LINENO: checking for gdbm_open" >&5
+echo $ECHO_N "checking for gdbm_open... $ECHO_C" >&6
+if test "${ac_cv_gdbmopen+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+
+            ac_cv_gdbmopen=no
+            cat >conftest.$ac_ext <<_ACEOF
+#line $LINENO "configure"
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#include <gdbm.h>
+int
+main ()
+{
+gdbm_open(0,0,0,0,0);
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+  (eval $ac_link) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+         { ac_try='test -s conftest$ac_exeext'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  ac_cv_gdbmopen=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+fi
+rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
+
+fi
+echo "$as_me:$LINENO: result: $ac_cv_gdbmopen" >&5
+echo "${ECHO_T}$ac_cv_gdbmopen" >&6
+    fi
+
+    ac_bdb_prefix=yes
+
+# Check whether --with-bdb or --without-bdb was given.
+if test "${with_bdb+set}" = set; then
+  withval="$with_bdb"
+  ac_bdb_prefix=$withval
+fi;
+    if test x$ac_bdb_prefix != xno -a x$ac_cv_gdbmopen != xyes; then
+        test x$ac_bdb_prefix = xyes && ac_bdb_prefix="$mutt_cv_prefix /opt/csw/bdb4 /opt /usr/local /usr"
+        for d in $ac_bdb_prefix; do
+            bdbpfx="$bdbpfx $d"
+            for v in BerkeleyDB.4.3 BerkeleyDB.4.2 BerkeleyDB.4.1; do
+                bdbpfx="$bdbpfx $d/$v"
+            done
+        done
+        BDB_VERSIONS="db-4 db4 db-4.3 db4.3 db43 db-4.2 db4.2 db42 db-4.1 db4.1 db41 db ''"
+        echo "$as_me:$LINENO: checking for BerkeleyDB > 4.0" >&5
+echo $ECHO_N "checking for BerkeleyDB > 4.0... $ECHO_C" >&6
+        for d in $bdbpfx; do
+            BDB_INCLUDE_DIR=""
+            BDB_LIB_DIR=""
+            for v in / $BDB_VERSIONS; do
+                if test -r "$d/include/$v/db.h"; then
+                    BDB_INCLUDE_DIR="$d/include/$v"
+                    if test -d "$d/lib/$v"; then
+                        BDB_LIB_DIR="$d/lib/$v"
+                        for l in `echo $BDB_VERSIONS`; do
+                            CPPFLAGS="-I$BDB_INCLUDE_DIR $OLDCPPFLAGS"
+                            LIBS="$OLDLIBS -L$BDB_LIB_DIR -l$l"
+                            cat >conftest.$ac_ext <<_ACEOF
+#line $LINENO "configure"
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+
+                                #include <stdlib.h>
+                                #include <db.h>
+
+int
+main ()
+{
+
+                                DB *db = NULL;
+                                db->open(db,NULL,NULL,NULL,0,0,0);
+
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+  (eval $ac_link) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+         { ac_try='test -s conftest$ac_exeext'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+
+                                ac_cv_dbcreate=yes
+                                BDB_LIB="$l"
+                                break
+
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+fi
+rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
+                        done
+                        test x$ac_dbcreate = xyes && break
+                    fi
+                fi
+            done
+            test x$BDB_LIB != x && break
+        done
+        if test x$ac_cv_dbcreate = xyes; then
+            echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6
+        else
+            echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6
+        fi
+    fi
+
+    if test x$ac_cv_gdbmopen = xyes; then
+        CPPFLAGS="$OLDCPPFLAGS"
+        LIBS="$OLDLIBS -lgdbm";
+
+cat >>confdefs.h <<\_ACEOF
+#define HAVE_GDBM 1
+_ACEOF
+
+    elif test x$ac_cv_dbcreate = xyes; then
+        CPPFLAGS="-I$BDB_INCLUDE_DIR $OLDCPPFLAGS"
+        LIBS="$OLDLIBS -L$BDB_LIB_DIR -l$BDB_LIB"
+
+cat >>confdefs.h <<\_ACEOF
+#define HAVE_DB4 1
+_ACEOF
+
+    else
+        { { echo "$as_me:$LINENO: error: You need Sleepycat DB4 or GDBM for --enable-hcache" >&5
+echo "$as_me: error: You need Sleepycat DB4 or GDBM for --enable-hcache" >&2;}
+   { (exit 1); exit 1; }; }
+    fi
+fi
+fi;
+
 
 
 
@@ -15284,7 +15615,7 @@ _ACEOF
 
 fi
 
-                                                                                                    ac_config_files="$ac_config_files Makefile intl/Makefile m4/Makefile po/Makefile.in doc/Makefile contrib/Makefile muttbug.sh imap/Makefile Muttrc.head doc/instdoc.sh"
+                                                                                                    ac_config_files="$ac_config_files Makefile intl/Makefile m4/Makefile po/Makefile.in doc/Makefile contrib/Makefile muttbug.sh imap/Makefile Muttngrc.head doc/instdoc.sh"
 cat >confcache <<\_ACEOF
 # This file is a shell script that caches the results of configure
 # tests run on this system so they can be shared between configure
@@ -15411,6 +15742,13 @@ echo "$as_me: error: conditional \"USE_SSL\" was never defined.
 Usually this means the macro was only invoked conditionally." >&2;}
    { (exit 1); exit 1; }; }
 fi
+if test -z "${USE_GNUTLS_TRUE}" && test -z "${USE_GNUTLS_FALSE}"; then
+  { { echo "$as_me:$LINENO: error: conditional \"USE_GNUTLS\" was never defined.
+Usually this means the macro was only invoked conditionally." >&5
+echo "$as_me: error: conditional \"USE_GNUTLS\" was never defined.
+Usually this means the macro was only invoked conditionally." >&2;}
+   { (exit 1); exit 1; }; }
+fi
 if test -z "${USE_SASL_TRUE}" && test -z "${USE_SASL_FALSE}"; then
   { { echo "$as_me:$LINENO: error: conditional \"USE_SASL\" was never defined.
 Usually this means the macro was only invoked conditionally." >&5
@@ -15877,7 +16215,7 @@ do
   "contrib/Makefile" ) CONFIG_FILES="$CONFIG_FILES contrib/Makefile" ;;
   "muttbug.sh" ) CONFIG_FILES="$CONFIG_FILES muttbug.sh" ;;
   "imap/Makefile" ) CONFIG_FILES="$CONFIG_FILES imap/Makefile" ;;
-  "Muttrc.head" ) CONFIG_FILES="$CONFIG_FILES Muttrc.head" ;;
+  "Muttngrc.head" ) CONFIG_FILES="$CONFIG_FILES Muttngrc.head" ;;
   "doc/instdoc.sh" ) CONFIG_FILES="$CONFIG_FILES doc/instdoc.sh" ;;
   "depfiles" ) CONFIG_COMMANDS="$CONFIG_COMMANDS depfiles" ;;
   "default-1" ) CONFIG_COMMANDS="$CONFIG_COMMANDS default-1" ;;
@@ -16040,6 +16378,8 @@ s,@USE_GSS_TRUE@,$USE_GSS_TRUE,;t t
 s,@USE_GSS_FALSE@,$USE_GSS_FALSE,;t t
 s,@USE_SSL_TRUE@,$USE_SSL_TRUE,;t t
 s,@USE_SSL_FALSE@,$USE_SSL_FALSE,;t t
+s,@USE_GNUTLS_TRUE@,$USE_GNUTLS_TRUE,;t t
+s,@USE_GNUTLS_FALSE@,$USE_GNUTLS_FALSE,;t t
 s,@USE_SASL_TRUE@,$USE_SASL_TRUE,;t t
 s,@USE_SASL_FALSE@,$USE_SASL_FALSE,;t t
 s,@MUTTLIBS@,$MUTTLIBS,;t t